baz_native_callback.h File Reference
`#include <gnuradio/sync_block.h>`
Include dependency graph for baz_native_callback.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | baz_native_callback_target
class | baz_native_callback_x
| square2 a stream of floats. More...

## Functions

BAZ_API baz_native_callback_x_sptr | baz_make_native_callback_x (int size, baz_native_callback_target_sptr target, bool threshold_enable=false, float threshold_level=0.0)
| Return a shared_ptr to a new instance of baz_native_callback_x.

## Variables

class BAZ_API | baz_native_callback_x

## Function Documentation

## baz_make_native_callback_x()

BAZ_API baz_native_callback_x_sptr baz_make_native_callback_x | ( | int | size,
|  | baz_native_callback_target_sptr | target,
|  | bool | threshold_enable = `false`,
|  | float | threshold_level = `0.0`
| ) |  |

Return a shared_ptr to a new instance of baz_native_callback_x.

To avoid accidental use of raw pointers, baz_native_callback_x's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

## Variable Documentation

## baz_native_callback_x

class BAZ_API baz_native_callback_x